[SciPy-User] Problems installing Scipy on Snow Leopard

johannes rara johannesraja@gmail....
Sun Oct 4 13:51:10 CDT 2009


Thans for the response, but I got the same results:

~/scipy > FFLAGS="-arch x86_64" python setup.py build
Warning: No configuration returned, assuming unavailable.
blas_opt_info:
  FOUND:
    extra_link_args = ['-Wl,-framework', '-Wl,Accelerate']
    define_macros = [('NO_ATLAS_INFO', 3)]
    extra_compile_args = ['-faltivec',
'-I/System/Library/Frameworks/vecLib.framework/Headers']

lapack_opt_info:
  FOUND:
    extra_link_args = ['-Wl,-framework', '-Wl,Accelerate']
    define_macros = [('NO_ATLAS_INFO', 3)]
    extra_compile_args = ['-faltivec']

umfpack_info:
  libraries umfpack not found in
/System/Library/Frameworks/Python.framework/Versions/2.6/lib
  libraries umfpack not found in /usr/local/lib
  libraries umfpack not found in /usr/lib
  libraries umfpack not found in /opt/local/lib
/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/system_info.py:414:
UserWarning:
    UMFPACK sparse solver (http://www.cise.ufl.edu/research/sparse/umfpack/)
    not found. Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [umfpack]) or by setting
    the UMFPACK environment variable.
  warnings.warn(self.notfounderror.__doc__)
  NOT AVAILABLE

Traceback (most recent call last):
  File "setup.py", line 160, in <module>
    setup_package()
  File "setup.py", line 152, in setup_package
    configuration=configuration )
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/core.py",
line 150, in setup
    config = configuration()
  File "setup.py", line 118, in configuration
    config.add_subpackage('scipy')
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
line 851, in add_subpackage
    caller_level = 2)
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
line 834, in get_subpackage
    caller_level = caller_level + 1)
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
line 781, in _get_configuration_from_setup_py
    config = setup_module.configuration(*args)
  File "scipy/setup.py", line 20, in configuration
    config.add_subpackage('special')
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
line 851, in add_subpackage
    caller_level = 2)
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
line 834, in get_subpackage
    caller_level = caller_level + 1)
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
line 766, in _get_configuration_from_setup_py
    ('.py', 'U', 1))
  File "scipy/special/setup.py", line 7, in <module>
    from numpy.distutils.misc_util import get_numpy_include_dirs, get_info
ImportError: cannot import name get_info
~/scipy >


2009/10/4 Agile Aspect <agile.aspect@gmail.com>:
> Try removing the LDFLAGS entry from your command line, e.g.,
>
>      ~/scipy > FFLAGS="-arch x86_64" python setup.py build
>
>
> On Sun, Oct 4, 2009 at 8:36 AM, johannes rara <johannesraja@gmail.com> wrote:
>> Hi,
>>
>> First post to this forum. I'm complete python/scipy novice but very
>> eager to learn. I was trying to install scipy on my mac (Mac OS X
>> 10.6.1 Snow Leopard) using guidance from this page
>>
>> http://www.scipy.org/Installing_SciPy/Mac_OS_X
>>
>> When I try to install scipy using this line
>>
>> ~/scipy > LDFLAGS="-arch x86_64" FFLAGS="-arch x86_64" python setup.py build
>>
>> I get the following output:
>>
>> Warning: No configuration returned, assuming unavailable.
>> blas_opt_info:
>>  FOUND:
>>  extra_link_args = ['-Wl,-framework', '-Wl,Accelerate']
>>  define_macros = [('NO_ATLAS_INFO', 3)]
>>  extra_compile_args = ['-faltivec',
>> '-I/System/Library/Frameworks/vecLib.framework/Headers']
>>
>> lapack_opt_info:
>>  FOUND:
>>  extra_link_args = ['-Wl,-framework', '-Wl,Accelerate']
>>  define_macros = [('NO_ATLAS_INFO', 3)]
>>  extra_compile_args = ['-faltivec']
>>
>> umfpack_info:
>>  libraries umfpack not found in
>> /System/Library/Frameworks/Python.framework/Versions/2.6/lib
>>  libraries umfpack not found in /usr/local/lib
>>  libraries umfpack not found in /usr/lib
>>  libraries umfpack not found in /opt/local/lib
>> /System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/system_info.py:414:
>> UserWarning:
>>  UMFPACK sparse solver (http://www.cise.ufl.edu/research/sparse/umfpack/)
>>  not found. Directories to search for the libraries can be specified in the
>>  numpy/distutils/site.cfg file (section [umfpack]) or by setting
>>  the UMFPACK environment variable.
>>  warnings.warn(self.notfounderror.__doc__)
>>  NOT AVAILABLE
>>
>> Traceback (most recent call last):
>>  File "setup.py", line 160, in <module>
>>  setup_package()
>>  File "setup.py", line 152, in setup_package
>>  configuration=configuration )
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/core.py",
>> line 150, in setup
>>  config = configuration()
>>  File "setup.py", line 118, in configuration
>>  config.add_subpackage('scipy')
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
>> line 851, in add_subpackage
>>  caller_level = 2)
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
>> line 834, in get_subpackage
>>  caller_level = caller_level + 1)
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
>> line 781, in _get_configuration_from_setup_py
>>  config = setup_module.configuration(*args)
>>  File "scipy/setup.py", line 20, in configuration
>>  config.add_subpackage('special')
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
>> line 851, in add_subpackage
>>  caller_level = 2)
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
>> line 834, in get_subpackage
>>  caller_level = caller_level + 1)
>>  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/numpy/distutils/misc_util.py",
>> line 766, in _get_configuration_from_setup_py
>>  ('.py', 'U', 1))
>>  File "scipy/special/setup.py", line 7, in <module>
>>  from numpy.distutils.misc_util import get_numpy_include_dirs, get_info
>> ImportError: cannot import name get_info
>>
>> I cannot understand what is the problem. Any ideas? I have installed
>> XCode and Unix dev tools (and Numpy).
>> _______________________________________________
>> SciPy-User mailing list
>> SciPy-User@scipy.org
>> http://mail.scipy.org/mailman/listinfo/scipy-user
>>
>
>
>
> --
>     "We are drowning in information and starving for knowledge."
>
>                                                          --
> Rutherford D. Roger
> _______________________________________________
> SciPy-User mailing list
> SciPy-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/scipy-user
>


More information about the SciPy-User mailing list